## calligra 25.12.0

=== debian/changelog ===
calligra (1:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:12:45 +0000

calligra (1:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:49 +0000

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libboost-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgsl-dev,
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpoppler-private-dev (>= 22.02.0~),
               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
               libqca-qt6-dev (>= 2.1.0~),
               librevenge-dev,
               libssl-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               okular-dev (>= 4:25.12.0~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pstoedit,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               shared-mime-info,
               vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://www.calligra.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Rules-Requires-Root: no

Package: calligra
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         calligrastage (= ${binary:Version}),
         calligrawords (= ${binary:Version}),
         karbon (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~),
Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~),
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Homepage: https://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Depends: calligrasheets-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter,
Homepage: https://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets-data
Architecture: all
Section: math
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/sheets/
Description: data files for Sheets spreadsheet
 This package contains architecture-independent data files for Sheets,
 the spreadsheet shipped with the Calligra Suite.
 .
 See the calligrasheets package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Depends: calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: https://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Depends: calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application. You can
 easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. Stage is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes Microsoft
 Office. Examples of its easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the Calligra Suite.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Homepage: https://www.calligra.org/stage/
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca-qt6-plugins
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Suggests: khelpcenter
Description: common shared data for the Calligra Suite
 This package provides the architecture-independent data that is shared
 amongst the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odp
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODP documents
 This package provides a backend for Okular to view OpenDocument Presentation
 (ODP) documents, but also PowerPoint and PPTX documents.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odt
Architecture: any
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Description: Okular backend for ODT documents
 This package provides a backend for Okular to view OpenDocument Text
 (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
 .
 This package is part of the Calligra Suite.

## calligra 25.12.0+p24.04+vstable+git20260104.0042

=== debian/changelog ===
calligra (1:25.12.0+p24.04+vstable+git20260104.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 00:43:22 +0000

calligra (1:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:27 +1000

## calligra 25.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

string(TIMESTAMP CALLIGRA_YEAR "%Y")
add_compile_options("-DCALLIGRA_YEAR=${CALLIGRA_YEAR}")

project(calligra VERSION ${RELEASE_SERVICE_VERSION})

if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

set(REQUIRED_KF6_VERSION "6.0.0")
set(REQUIRED_QT_VERSION "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${REQUIRED_KF6_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
set(KDE_COMPILERSETTINGS_LEVEL 5.84.0) # set before including
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
# own macros
include(MacroBoolTo01)
include(MacroOptionalFindPackage)
include(MacroEnsureVersion)

math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${RELEASE_SERVICE_VERSION_MAJOR} + 15")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CALLIGRA
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/calligra-version.h
    SOVERSION ${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}
)

############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

#######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI FALSE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP FALSE)
    if(BUILD_UNMAINTAINED)
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    else()
        set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED FALSE)
    endif()
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
    set(CALLIGRA_SHOULD_BUILD_UNMAINTAINED TRUE)
    set(CALLIGRA_SHOULD_BUILD_GEMINI TRUE)
    set(CALLIGRA_SHOULD_BUILD_BRAINDUMP TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

##########################
###########################
## Look for ECM, Qt, KF6 ##
###########################
##########################

find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
    COMPONENTS
    Archive
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    GuiAddons
    I18n
    IconThemes
    ItemViews
    JobWidgets
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Sonnet
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
    Core
    Gui
    Network
    PrintSupport
    Svg
    Test
    Widgets
    Xml
    Quick
    QuickControls2
)
find_package(Qt6 ${REQUIRED_QT_VERSION} QUIET
    COMPONENTS
    OpenGL
    QuickWidgets
    Sql
    WebEngineWidgets
)

qt_policy(SET QTP0001 NEW)


find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES
    TYPE REQUIRED
    PURPOSE "Encrypted communications"
)

set_package_properties(Qt6QuickWidgets PROPERTIES
    PURPOSE "Required for Calligra Gemini"
    TYPE RECOMMENDED
    )
set_package_properties(Qt6Sql PROPERTIES
    PURPOSE "Optional for Sheets' database connection"
    TYPE OPTIONAL
    )
set_package_properties(Qt6WebEngine PROPERTIES
    PURPOSE "Required for Braindump's Web shape"
    TYPE OPTIONAL
)

set(HAVE_OPENGL ${Qt6OpenGL_FOUND})

# use sane compile flags
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_STRICT_ITERATORS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053000
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050600
    )

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT CALLIGRA_FLATPAK)
    add_definitions(-DWITH_QTDBUS)
    find_package(Qt6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBus
    )
    find_package(KF6 ${REQUIRED_KF6_VERSION} REQUIRED
        COMPONENTS
        DBusAddons
    )
endif()

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    if(NOT MINGW)
	include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
	add_definitions(-D_USE_MATH_DEFINES)
	add_definitions(-DNOMINMAX)
    endif()
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets.")
endif ()

###########################
############################
## Optional dependencies  ##
############################
###########################


##
## Check for OpenEXR
##

macro_optional_find_package(Imath 3.0 CONFIG QUIET)
if(TARGET Imath::Imath)
    set(OPENEXR_LIBRARIES Imath::Imath)
    set(OpenEXR_FOUND TRUE)
else()
    macro_optional_find_package(OpenEXR)
endif()
macro_bool_to_01(OpenEXR_FOUND HAVE_OPENEXR)

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL 1.7)
set_package_properties(GSL_FOUND PROPERTIES
    DESCRIPTION "GNU Scientific Library"
    URL "https://www.gnu.org/software/gsl"
    PURPOSE "Required by Sheets' solver plugin"
    TYPE OPTIONAL
    )
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for Phonon4Qt6
##
find_package(Phonon4Qt6 QUIET)
set_package_properties(Phonon4Qt6 PROPERTIES
    DESCRIPTION "Abstraction lib for multimedia applications"
    URL "https://www.kde.org/"
    PURPOSE "Required by Stage event actions and Videoshape plugin"
    TYPE OPTIONAL
    )

## PIM libraries detection disabled until semanticitems plugin is ported to Qt6
##
## Test for KF6CalendarCore
##
# find_package(KF6CalendarCore CONFIG QUIET)
# set_package_properties(KF6CalendarCore PROPERTIES
#     DESCRIPTION "KDE Calendar Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Event"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KF6Contacts
##
# find_package(KF6Contacts CONFIG QUIET)
# set_package_properties(KF6Contacts PROPERTIES
#     DESCRIPTION "KDE Address book Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KPim6AkonadiCore
##
# find_package(KPim6Akonadi CONFIG QUIET)
# set_package_properties(KFPimAkonadi PROPERTIES
#     DESCRIPTION "Library for general Access to Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic items Event and Contact"
#     TYPE OPTIONAL
#     )
# 
##
## Test for KChart
##
macro_optional_find_package(KChart6 3.0.0 QUIET)
set_package_properties(KChart6 PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    PURPOSE "Required by Chart shape"
    TYPE RECOMMENDED
)

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
set_package_properties(Eigen3 PROPERTIES
    DESCRIPTION "C++ template library for linear algebra"
    URL "http://eigen.tuxfamily.org"
    PURPOSE "Required by Calligra Sheets"
    TYPE RECOMMENDED
    )

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt6 2.1.0 QUIET)
set_package_properties(Qca-qt6 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "http:/download.kde.org/stable/qca-qt6"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)"
    TYPE OPTIONAL
    )

##
## Test for soprano
##
# QT5TODO: push for released (and maintained) Qt6 version of Soprano, T462, T461
# macro_optional_find_package(Soprano)
set(Soprano_FOUND FALSE)
set_package_properties(Soprano PROPERTIES
    DESCRIPTION "RDF handling library"
    URL "http://soprano.sourceforge.net/"
    PURPOSE "Required to handle RDF metadata in ODF"
    TYPE OPTIONAL
    )
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()

##
## Test for marble
##
# Temporary fix to avoid looking for Marble unnecessarily
# Its only used in RDF so until soprano is ported there is no use for Marble
if (Soprano_FOUND)
    macro_optional_find_package(Marble CONFIG)
    set(Marble_FOUND FALSE)
    set_package_properties(Marble PROPERTIES
        DESCRIPTION "World Globe Widget library"
        URL "https://marble.kde.org/"
        PURPOSE "Required by RDF to show locations on a map"
        TYPE OPTIONAL
    )
else()
    message(STATUS "Soprano not found. Skipped looking for Marble.")
endif()

##
## Test for lcms
##
macro_optional_find_package(LCMS2 2.4)
set_package_properties(LCMS2 PROPERTIES
    DESCRIPTION "LittleCMS, a color management engine"
    URL "http://www.littlecms.com"
    PURPOSE "Will be used for color management"
    TYPE OPTIONAL
    )
if(LCMS2_FOUND)
    set(HAVE_LCMS2 TRUE)
endif()

##
## Test for Vc
##

set(HAVE_VC FALSE)
if (BUILD_VC)
    # NOTE: This tampers with cmake variables (at least cmake_minimum_required), so may give build problems
    set(OLD_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} )
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
    if( NOT MSVC)
	macro_optional_find_package(Vc 1.1.0)
	set_package_properties(Vc PROPERTIES
	    DESCRIPTION "Portable, zero-overhead SIMD library for C++"
	    URL "https://github.com/VcDevel/Vc"
	    PURPOSE "Required by the pigment for vectorization"
	    TYPE OPTIONAL
	    )
	macro_bool_to_01(Vc_FOUND HAVE_VC)
	macro_bool_to_01(PACKAGERS_BUILD DO_PACKAGERS_BUILD)
    endif()

=== debian/changelog ===
calligra (1:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:31:50 +0000

calligra (1:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:04 +0000

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.12.0~),
+               okular-dev (>= 4:25.12.1~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,

## calligra 25.12.1+p24.04+vstable+git20260128.1337

=== debian/changelog ===
calligra (1:25.12.1+p24.04+vstable+git20260128.1337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:38:04 +0000

calligra (1:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:35:21 +1000

## calligra 25.12.1+p24.04+vstable+git20260130.1116

=== debian/changelog ===
calligra (1:25.12.1+p24.04+vstable+git20260130.1116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:16:36 +0000

## calligra 25.12.1+p24.04+vunstable+git20260205.0750

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 string(TIMESTAMP CALLIGRA_YEAR "%Y")

=== doc/CMakeLists.txt ===
add_subdirectory(calligra)
add_subdirectory(stage)
add_subdirectory(sheets)
install(FILES   calligra.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== doc/sheets/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR sheets)

=== doc/stage/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR stage)

=== filters/words/msword-odf/wv2/src/generator/CMakeLists.txt ===
# Generate parsers for some Word structures.
cmake_minimum_required(VERSION 3.16)

set( scanner_word95
	${CMAKE_CURRENT_BINARY_DIR}/word95_generated.h
	${CMAKE_CURRENT_BINARY_DIR}/word95_generated.cpp
	${CMAKE_CURRENT_BINARY_DIR}/word95_test.cpp
	)

set( scanner_word97
	${CMAKE_CURRENT_BINARY_DIR}/word97_generated.h
	${CMAKE_CURRENT_BINARY_DIR}/word97_generated.cpp
	${CMAKE_CURRENT_BINARY_DIR}/word97_test.cpp
	)

set( converter
	${CMAKE_CURRENT_BINARY_DIR}/convert.h
	${CMAKE_CURRENT_BINARY_DIR}/convert.cpp
	)

add_custom_command(
	OUTPUT ${scanner_word95}
	COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} && perl generate.pl generator_wword6.htm Word95 && mv word95_*.* ${CMAKE_CURRENT_BINARY_DIR}
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/generate.pl
                ${CMAKE_CURRENT_SOURCE_DIR}/generator_wword6.htm
                ${CMAKE_CURRENT_SOURCE_DIR}/template-Word95.h
                ${CMAKE_CURRENT_SOURCE_DIR}/template-Word95.cpp
	)

add_custom_command(
	OUTPUT ${scanner_word97}
	COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} && perl generate.pl generator_wword8.htm Word97 && mv word97_*.* ${CMAKE_CURRENT_BINARY_DIR}
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/generate.pl
                ${CMAKE_CURRENT_SOURCE_DIR}/generator_wword8.htm
                ${CMAKE_CURRENT_SOURCE_DIR}/template-Word97.h
                ${CMAKE_CURRENT_SOURCE_DIR}/template-Word97.cpp
	)

add_custom_command(
	OUTPUT ${converter}
	COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR} && perl converter.pl generator_wword6.htm generator_wword8.htm && mv convert.* ${CMAKE_CURRENT_BINARY_DIR}
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/converter.pl
                ${CMAKE_CURRENT_SOURCE_DIR}/generator_wword6.htm
                ${CMAKE_CURRENT_SOURCE_DIR}/generator_wword8.htm
                ${CMAKE_CURRENT_SOURCE_DIR}/template-conv.h
                ${CMAKE_CURRENT_SOURCE_DIR}/template-conv.cpp
	)

add_custom_target( generator ALL DEPENDS ${scanner_word95} ${scanner_word97} ${converter} )

=== debian/changelog ===
calligra (1:25.12.1+p24.04+vunstable+git20260205.0750-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:50:47 +0000

## calligra 25.12.2

=== debian/changelog ===
calligra (1:25.12.2-0.1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Feb 2026 07:12:27 -0800

calligra (1:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:16:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: calligra
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libboost-dev,
@@ -52,7 +53,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:25.12.1~),
+               okular-dev (>= 4:25.12.2~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,
@@ -61,7 +62,7 @@
                qtkeychain-qt6-dev,
                shared-mime-info,
                vc-dev (>= 1.1.0~) [any-amd64 any-i386 arm64 armel armhf],
-               zlib1g-dev,
+               zlib1g-dev
 Standards-Version: 4.7.2
 Homepage: https://www.calligra.org/
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
@@ -75,9 +76,9 @@
          calligrawords (= ${binary:Version}),
          karbon (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~),
-Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~),
+         ${shlibs:Depends}
+Breaks: calligra-libs (<< 1:24.12.2+dfsg-2~)
+Replaces: calligra-libs (<< 1:24.12.2+dfsg-2~)
 Description: extensive productivity and creative suite
  Calligra Suite is a set of applications written to help you to accomplish
  your work. It includes office applications such as a word processor,
@@ -89,8 +90,7 @@
 Package: karbon
 Architecture: any
 Section: graphics
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: pstoedit
 Homepage: https://www.calligra.org/karbon/
 Description: vector graphics application for the Calligra Suite
@@ -130,7 +130,7 @@
 Depends: calligrasheets-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: khelpcenter,
+Suggests: khelpcenter
 Homepage: https://www.calligra.org/sheets/
 Description: spreadsheet for the Calligra Suite
  Tables is a powerful spreadsheet application.  It is scriptable and
@@ -243,8 +243,7 @@
 Package: okular-backend-odp
 Architecture: any
 Section: graphics
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: okular
 Enhances: okular
 Description: Okular backend for ODP documents
@@ -256,8 +255,7 @@
 Package: okular-backend-odt
 Architecture: any
 Section: graphics
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: okular
 Enhances: okular
 Description: Okular backend for ODT documents

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

libpkgs_gen_strict_local_shlibs = calligra-libs
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),i386)
  EXTRA_CMAKE_ARGS += -DWITH_Poppler=OFF -DWITH_PopplerXPDFHeaders=OFF
endif

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DBUILD_app_cstester=OFF -DBUILD_app_devtools=OFF $(EXTRA_CMAKE_ARGS)

execute_after_dh_auto_install:
	# Remove development symlinks of libraries
	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
	# Remove stuff belonging to unported calligraflow
	rm -f debian/tmp/usr/lib/*/qt6/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so
	rm -f debian/tmp/usr/lib/*/qt6/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so
	# Remove translations of stuff not shipped
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/braindump.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_semanticitem_*.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_comment.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_template.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_webshape.mo
	# Remove color profiles, which ideally should be shipped somewhere ...
	rm -rf debian/tmp/usr/share/color/

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test
